#!/bin/sh


PWD_DIR=`pwd`
currentDir=`dirname $0`
cd $currentDir
currentDir=`pwd`
cd $PWD_DIR

rc=0
success_rc=0
fail_rc=$?
updiJAVAHOME=

XARGS="$*"
JVM_ARGS=""
ISMP_ARGS=""

    while [ $# -ne 0 ] # loop over arguments
do
    case "$1" in
         -D)  JVM_ARGS=`echo $JVM_ARGS -D$2=$3`; shift; shift;;
         -D*) JVM_ARGS=`echo $JVM_ARGS $1` ;;
         *)   ISMP_ARGS=`echo $ISMP_ARGS $1` ;;
    esac
    shift;
done


if [ -f "$currentDir"/update.jar ]
then
	if [ -f "$currentDir"/java/jre/bin/java ]
	then
    		updiJAVAHOME=$currentDir/java/jre

	elif [ -f "$currentDir"/java/bin/java ]
	then
    		updiJAVAHOME=$currentDir/java

	elif [ -f "$currentDir"/jre/bin/java ]
	then
    		updiJAVAHOME=$currentDir/jre
    		
    	else
    		echo
    		echo	Did not find JAVA_HOME under the updateinstaller directory.
		echo	Exiting
    		echo
    		exit $fail_rc

	fi

	echo
	echo Executing command: "$updiJAVAHOME"/bin/java -cp "$currentDir"/update.jar -Xms48m -Xmx384m $JVM_ARGS run $ISMP_ARGS
	echo
	
	PWD_DIR=`pwd`	
	cd $currentDir

	"$updiJAVAHOME"/bin/java -cp "$currentDir"/update.jar -Xms48m -Xmx384m $JVM_ARGS run $ISMP_ARGS

        rc=$?
	cd $PWD_DIR
	exit $rc

else
    echo
    echo	The file update.jar file does not exist.
    echo	Exiting
    echo
    exit $fail_rc
fi
